@import "{}/imports/ui/stylesheets/variables/index";

/* stylelint-disable-next-line selector-no-qualifying-type */
.profile-courselist h3[id] {
  margin-top: 10px;
}

.profile-courselist .badge-title {
  margin-bottom: 5px;
}

.profile-courselist .badge-title + div {
  margin-bottom: 20px;
}

.profile-courselist .badge {
  background-color: $user-bg;
  color: desaturate(darken($user-bg, 40%), 80%);

  &.is-archived {
    background-color: $archived-color;
  }
}

.profile-courselist .role-label {
  cursor: pointer;
  transition-duration: 0.25s;
  transition-property: #{"color background box-shadow"};

  &:hover,
  &:focus {
    background: darken($user-bg, 5%);
    box-shadow: $shadow-sm-offset-x $shadow-sm-offset-y $shadow-sm-blur $default-shadow;
    color: desaturate(darken($user-bg, 50%), 80%);
  }
}
